=== debian/changelog ===
kwayland (4:5.57.0.10-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 17 Feb 2022 14:46:57 +0800

kwayland (4:5.57.0.10-1) unstable; urgency=medium
  * Fix copy failure in some cases.
  * Release tag 5.57.0.10
 -- Tang Haixiang <tanghaixiang@uniontech.com>  Mon, 17 Jan 2022 13:31:45 +0800

kwayland (4:5.57.0.9-1) unstable; urgency=medium
  * Fix some errors in dataconctrl.
  * Release tag 5.57.0.9
 -- Tang Haixiang <tanghaixiang@uniontech.com>  Wed, 5 Jan 2022 13:31:45 +0800

kwayland (4:5.57.0.8-1) unstable; urgency=medium
  * fix some problems about touch drag file to another window.
  * Release tag 5.57.0.8
 -- zhangyaning <zhangyaning@uniontech.com>  Mon, 31 Dec 2021 09:45:45 +0800

kwayland (4:5.57.0.7-1) unstable; urgency=medium
  * Add global touch protocol.
  * Release tag 5.57.0.7
 -- zhangyaning <zhangyaning@uniontech.com>  Mon, 21 Dec 2021 14:45:45 +0800

kwayland (4:5.57.0.6-1) unstable; urgency=medium

  * feat:
    feat: add decoration property interface

 -- Lei Su <sulei@uniontech.com>  Fri, 03 Dec 2021 16:24:10 +0800

kwayland (4:5.57.0.5-1) unstable; urgency=medium

  * Add global clipboard protocol.
  * Release tag 5.57.0.5

 -- Tang Haixiang <tanghaixiang@uniontech.com>  Mon, 30 Nov 2021 9:45:45 +0800

kwayland (4:5.57.0.4-1) unstable; urgency=medium

  * Release tag 5.57.0.4

 -- Lei Su <sulei@uniontech.com>  Mon, 29 Nov 2021 13:54:45 +0800

kwayland (4:5.57.0.3-1) unstable; urgency=medium

  * Release tag 5.57.0.3

 -- luochaojiang <luochaojiang@uniontech.com>  Fri, 25 Nov 2021 11:25:38 +0800

kwayland (4:5.56.1000.11-1) unstable; urgency=medium

  * update for klu/pgv master branch
  * To automate the packaging with correct versions

 -- wugang <wugang@uniontech.com>  Sat, 18 Sep 2021 18:14:38 -0300

kwayland (4:5.56.0102.14-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Rediff patches
  * Update symbols file
  * Bump group breaks (4:5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:25 -0300
