=== debian/changelog ===
kwayland (4:5.57.0.16-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 06 May 2022 14:51:54 +0800

kwayland (4:5.57.0.16-1) unstable; urgency=medium

  * Realize the function of setOnAllDesktops in ddeshell protocol
  * Release tag 5.57.0.16

 -- zhangyaning <zhangyaning@uniontech.com>  Wed, 30 Mar 2022 16:45:45 +0800

kwayland (4:5.57.0.15-1) unstable; urgency=medium

  * Remote access adds render sequence interface
  * Release tag 5.57.0.15

 -- diguoliang <diguoliang@uniontech.com>  Tue, 15 Mar 2022 21:28:29 +0800

kwayland (4:5.57.0.14-1) unstable; urgency=medium

  * Add a test program for gamma to adjust brightness
  * Release tag 5.57.0.14

 -- diguoliang <diguoliang@uniontech.com>  Tue, 15 Mar 2022 20:50:00 +0800

kwayland (4:5.57.0.13-1) unstable; urgency=medium

  * Add window caption protocol
  * Release tag 5.57.0.13

 -- luochaojiang <luochaojiang@uniontech.com>  Thu, 15 Mar 2022 13:37:20 +0800

kwayland (4:5.57.0.12-1) unstable; urgency=medium

  * Add window caption protocol
  * Release tag 5.57.0.12

 -- luochaojiang <luochaojiang@uniontech.com>  Thu, 10 Mar 2022 13:37:20 +0800

kwayland (4:5.57.0.11-1) unstable; urgency=medium

  * Add interface to support dtk show split menu.
  * Release tag 5.57.0.11

 -- Lei Su <sulei@uniontech.com>  Tue, 08 Mar 2022 15:21:43 +0800
